Subject: RE: For CND-General Consideration

From: <[email-masked]>
Date: Sat, 2 Jun 90 04:04 EDT

Ya, this piece by John Greeman is very good. We all have ouR painful 
memories of the June 4th of last year.

	After a sleepless night on the night of June 2(US Eastern time), I 
drove with my wife to Washington DC in the morning of June 3, to go for
a demostration which was scheduled on the next day. We hadn't heard anything
when we started around 9:30am. But right after we arrived in the Apt of Mr. 
Liu Yadong at around 4:pm, the first sentence we heard was: 'They opened fire
to the people!'. We were stunned instantly! I couldn't believe that could be
true, but the from their faces, I realized that must be true! 

	His home phone was busy with all the calls from the students and local 
and national media. And we join them in a meeting in the evening to make the 
arrangements for the demonstration the next day. I called our LYH head back in
Kent to get our fellows to DC too. They did come overnight to join the demon-
stration the next morning. 

	In the meeting in Univ. of Maryland, people were still debating what to
do the next day, what kind of slogans should be prepared and also on the draft 
of the resolution. Suddenly, someone came in and shouted to us: 'It is not 
the time for debating! People are going to the Chinese embassy now to protest!'.
That sentence ended the debating and we all rushed to the Embassy.

	By the time we got there, there had already been hundreds gathered
before the embassy, many of them Americans, many of them holding candles in
their hands. Cars passing by were horning to show their support. We talked to 
an American lady, who worked in a hotel near by. She told us that she came 
to protest right after her working hour. She also volunteered to help us to find
more papers and boards for posters and slogans. We took some merorable photos 
of her and others.

	The scene before the Embassy that night is still so vivid to me, even
today. The sky was so dark, with only candle lights twinkling here and there, 
lighting the faces of anger, indignation, and sadness. No need to say anything
more, we all knew that A DREAM WAS CRUSHED BY TANKS IN THE TAM SQUARE.

	(Please don't make it public, only to share my feelings with you here).